class TexFmt < Formula
  desc "Extremely fast LaTeX formatter written in Rust"
  homepage "https://github.com/WGUNDERWOOD/tex-fmt"
  url "https://github.com/WGUNDERWOOD/tex-fmt/archive/refs/tags/v0.4.6.tar.gz"
  sha256 "2b7c7f6759007fa0671b9e324b089f5fd70fe6ffdb63388152681217db44b2ae"
  license "MIT"
  head "https://github.com/WGUNDERWOOD/tex-fmt.git", branch: "main"

  depends_on "rust" => :build

  def install
    system "cargo", "install", *std_cargo_args
  end

  test do
    (testpath/"test.tex").write <<~EOS
      \\documentclass{article}
      \\title{tex-fmt Homebrew Test}
      \\begin{document}
      \\maketitle
      \\begin{itemize}
      \\item Hello
      \\item World
      \\end{itemize}
      \\end{document}
    EOS

    assert_equal <<~EOS, shell_output("#{bin}/tex-fmt --print #{testpath}/test.tex").chomp
      \\documentclass{article}
      \\title{tex-fmt Homebrew Test}
      \\begin{document}
      \\maketitle
      \\begin{itemize}
        \\item Hello
        \\item World
      \\end{itemize}
      \\end{document}
    EOS

    assert_match version.to_s, shell_output("#{bin}/tex-fmt --version")
  end
end
